# 50. Запит: Отримати дані в сітці з "VectorAnalysisMap"

Запит для отримання гридованих даних із "VectorAnalysisMap" як `GEOJSON`  з точками або `GEOTIFF`. Атрибут properties містить оригінальні дані (наприклад, значення індексу) для кожної точки.

#### 1. Запросіть файл для експорту

{% hint style="danger" %}
Рекомендовано отримувати лише один набір даних з `sourceDataUrl` за запитом.&#x20;
{% endhint %}

`БезБуфера`, `ПлюсОдинПіксель`, `ПлюсДваПікселі`, `МінусОдинПіксель`, та `МінусДваПікселі` доступні як `буфер`.

`GEOJSON` та `GEOTIFF` доступні як формат.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromVectorAnalysisMap {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    farmOwnership
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]){
      uuid
      vectorAnalysisMaps(vectorAnalysisMapUuids: ["<placeholder_of_zonesmap_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Завантажте згенерований файл

Після успішної підготовки файлу його можна завантажити за допомогою `curl` або подібного підходу.

{% hint style="danger" %}
`sourceDataUrl` посилання доступне лише протягом **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/50.-zapit-otrimati-dani-v-sitci-z-vectoranalysismap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
